Check Transfer
Deposit a check
POST/transfers/checks/deposit
Deposit a check into a Column bank account.
Body Parameters
account_number_id
stringOptionalOptional. If omitted, defaults to the default account number ID for the provided bank account.
bank_account_id
stringRequiredbank account ID to credit funds to.
currency_code
stringRequiredThe three-letter currency code defined in ISO 4217. e.g. USD.
deposited_amount
integerRequiredAmount (in cents) of the check being deposited.
description
stringOptionalA description of the check deposit.
image_back
stringRequiredbase64 encoded string of the TIFF image bytes.
image_front
stringRequiredbase64 encoded string of the TIFF image bytes.
micr_line
objectRequiredMICR data for the check
amount_field
stringOptionalAmount field (up to 10 characters)
auxiliary_on_us
stringOptionalAuxiliary on-us field (up to 15 characters)
external_processing_code
stringOptionalExternal processing code (up to 1 character)
on_us
stringOptionalOn-us field (up to 20 characters)
payor_bank_routing_number
stringOptionalPayor bank ABA routing number (up to 9 characters)
transfer_batch_id
stringOptionalID of the transfer batch this deposit belongs to.